"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImportPaths = void 0;
/**
 * Checks for external files imported by the #import annotation in a file and returns the paths if any
 * @param {string} fileContent
 * @returns {string[] | []} The list of file paths with #import notation
 */
const getImportPaths = (fileContent) => fileContent
    .split(/\r?\n/)
    .filter((line) => line.match(/^#import\s/g))
    .map(line => line.match(/'.*'|".*"/g).toString().replace(/'|"/g, ''));
exports.getImportPaths = getImportPaths;
