"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFile = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const merge_1 = require("@graphql-tools/merge");
const get_import_paths_1 = require("./get-import-paths");
/**
 * Put the path of the file to be imported, considering the root of the project i.e. the directory from where you invoked the node command
 * @example ./schemas/file.graphql
 * @param {string} pathFile
 * @return {DocumentNode} DocumentNode
 */
const loadFile = (pathFile) => {
    const fileContent = (0, fs_1.readFileSync)((0, path_1.join)(process.cwd(), pathFile), 'utf8');
    const externalFilePaths = (0, get_import_paths_1.getImportPaths)(fileContent);
    const contentExternalFiles = externalFilePaths.map(externalFilePath => (0, fs_1.readFileSync)((0, path_1.join)(process.cwd(), (0, path_1.dirname)(pathFile), externalFilePath), 'utf8'));
    return (0, merge_1.mergeTypeDefs)([
        fileContent,
        ...contentExternalFiles
    ]);
};
exports.loadFile = loadFile;
