"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFiles = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const fast_glob_1 = __importDefault(require("fast-glob"));
const merge_1 = require("@graphql-tools/merge");
/**
 * Loads multiple graphql files, use .graphql or .gql.
 * @param {string} matchFiles - The glob patterns uses to detect graphql files
 * @return {object} DocumentNode
 */
const loadFiles = (matchFiles) => {
    const files = fast_glob_1.default.sync(matchFiles);
    const schema = files.map(file => (0, fs_1.readFileSync)((0, path_1.join)(process.cwd(), file), 'utf8'));
    return (0, merge_1.mergeTypeDefs)(schema);
};
exports.loadFiles = loadFiles;
